pcl::PointDataAtOffset< PointT > Class Template Reference

A datatype that enables type-correct comparisons. More...

`#include <pcl/filters/conditional_removal.h>`

## Public Member Functions

| PointDataAtOffset (std::uint8_t datatype, std::uint32_t offset)
| Constructor. More...
int | compare (const PointT &p, const double &val)
| Compare function. More...

## Protected Attributes

std::uint8_t | datatype_
| The type of data. More...
std::uint32_t | offset_
| The data offset. More...

## Detailed Description

### template<typename PointT>
class pcl::PointDataAtOffset< PointT >

A datatype that enables type-correct comparisons.

Definition at line 61 of file conditional_removal.h.

## Constructor & Destructor Documentation

## PointDataAtOffset()

template<typename PointT >

pcl::PointDataAtOffset< PointT >::PointDataAtOffset | ( | std::uint8_t | datatype,
|  | std::uint32_t | offset
| ) |  |

inline

Constructor.

Definition at line 65 of file conditional_removal.h.

## Member Function Documentation

## compare()

template<typename PointT >

int pcl::PointDataAtOffset< PointT >::compare | ( | const PointT & | p,
|  | const double & | val
| ) |  |

Compare function.

Parameters

  p | the point to compare
  val | the value to compare the point to

Definition at line 520 of file conditional_removal.hpp.

References pcl::PCLPointField::FLOAT32, pcl::PCLPointField::FLOAT64, pcl::PCLPointField::INT16, pcl::PCLPointField::INT32, pcl::PCLPointField::INT8, pcl::PCLPointField::UINT16, pcl::PCLPointField::UINT32, and pcl::PCLPointField::UINT8.

## Member Data Documentation

## datatype_

template<typename PointT >

std::uint8_t pcl::PointDataAtOffset< PointT >::datatype_

protected

The type of data.

Definition at line 78 of file conditional_removal.h.

## offset_

template<typename PointT >

std::uint32_t pcl::PointDataAtOffset< PointT >::offset_

protected

The data offset.

Definition at line 81 of file conditional_removal.h.

The documentation for this class was generated from the following files:

- pcl/filters/conditional_removal.h
- pcl/filters/impl/conditional_removal.hpp